post
https://gateway.remote.com/v1/contractors/employments//contractor-plus-subscription
Endpoint that can be used to upgrade, assign or downgrade a contractor's subscription.
This can be used when company admins desire to assign someone to the Contractor Plus plan,
but also to change the contractor's subscription between Plus and Standard.
Authentication
This endpoint accepts any one of the following token types:
- Company-scoped access token (
OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners. - Company-scoped access token (assertion) (
OAuth2CompanyManagerAssertion) — obtained through theurn:ietf:params:oauth:grant-type:jwt-bearergrant for a company manager. See OAuth Assertion. - Customer API token (
CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.
Scopes
Any one of the scopes in a token type's row is enough. all:write works too.
| Token type | Category | Read only Scope | Write only Scope (read access implicit) |
|---|---|---|---|
| Company-scoped access token | Manage employments (employments) | - | Manage employments (employment:write) |
| Company-scoped access token (assertion) | Manage employments (employments) | - | Manage employments (employment:write) |
| Customer API token | Manage employments (employments) | - | Manage employments (employment:write) |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Callback